// <copyright file="PostServiceActivityCreate.cs" company="">
// Copyright (c) 2013 All Rights Reserved
// </copyright>
// <author></author>
// <date>1/13/2013 7:23:51 PM</date>
// <summary>Implements the PostServiceActivityCreate Plugin.</summary>
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.1
// </auto-generated>
namespace CrmField.Plugins
{
    using System;
    using System.ServiceModel;
    using Microsoft.Xrm.Sdk;
    using Microsoft.Xrm.Sdk.Query;
    using System.Collections.Generic;

    /// <summary>
    /// PostServiceActivityCreate Plugin.
    /// </summary>    
    public class PostServiceActivityCreate : Plugin
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="PostServiceActivityCreate"/> class.
        /// </summary>
        public PostServiceActivityCreate()
            : base(typeof(PostServiceActivityCreate))
        {
            base.RegisteredEvents.Add(new Tuple<int, string, string, Action<LocalPluginContext>>(40, "Create", "serviceappointment", new Action<LocalPluginContext>(ExecutePostServiceActivityCreate)));

            // Note : you can register for more events here if this plugin is not specific to an individual entity and message combination.
            // You may also need to update your RegisterFile.crmregister plug-in registration file to reflect any change.
        }

        /// <summary>
        /// Executes the plug-in.
        /// </summary>
        /// <param name="localContext">The <see cref="LocalPluginContext"/> which contains the
        /// <see cref="IPluginExecutionContext"/>,
        /// <see cref="IOrganizationService"/>
        /// and <see cref="ITracingService"/>
        /// </param>
        /// <remarks>
        /// For improved performance, Microsoft Dynamics CRM caches plug-in instances.
        /// The plug-in's Execute method should be written to be stateless as the constructor
        /// is not called for every invocation of the plug-in. Also, multiple system threads
        /// could execute the plug-in at the same time. All per invocation state information
        /// is stored in the context. This means that you should not use global variables in plug-ins.
        /// </remarks>
        protected void ExecutePostServiceActivityCreate(LocalPluginContext localContext)
        {
            if (localContext == null)
            {
                throw new ArgumentNullException("localContext");
            }

            List<Guid> users = ServiceAppointmentManager.RetrieveUsersInServiceAppointment(localContext.PluginExecutionContext.PrimaryEntityId, localContext.OrganizationService);
            Dictionary<Guid, string> usersChannel = ClientChannelManager.RetrieveLatestUsersChannel(users, localContext.OrganizationService);
            localContext.Trace(string.Format("Found {0} users to notify", usersChannel.Count));
            if (usersChannel.Count > 0)
            {
                // Retrieve Windows Notification Service configuration
                Dictionary<string, string> configuration = ConfigurationManager.RetrieveAllConfiguration(localContext.OrganizationService);
                if (!configuration.ContainsKey("SID"))
                    throw new InvalidOperationException("SID configuration record was not found");
                if (!configuration.ContainsKey("ClientSecret"))
                    throw new InvalidOperationException("ClientChannel configuration record was not found");
                string sid = configuration["SID"];
                string clientSecret = configuration["ClientSecret"];

                localContext.Trace(string.Format("SID : {0} \nClientSecret : {1} ", sid, clientSecret));

                // Format the Toas Notification
                Entity target = (Entity)localContext.PluginExecutionContext.InputParameters["Target"];
                var Subject = (target.Contains("subject") ? target["subject"] : "No Subject");
                var Location = (target.Contains("location") ? target["location"] : "No Location");
                var Time = string.Format("{0:ddd MMMM dd, yyyy @ HH:mm}", target.Contains("subject") ? target["scheduledstart"] : DateTime.Now);
                var xml = "<toast>";
                xml += "<visual>";
                xml += "<binding template=\"ToastText04\">";
                xml += string.Format("<text id=\"1\">{0}</text>", Subject);
                xml += string.Format("<text id=\"2\">{0}</text>", Location);
                xml += string.Format("<text id=\"3\">{0}</text>", Time);
                xml += "</binding>";
                xml += "</visual>";
                xml += "</toast>";

                var contentType = "text/xml";
                var notificationType = "wns/toast";

                localContext.Trace(string.Format("XML {0} ", xml));

                WNSClient wnsClient = new WNSClient();
                wnsClient.OnLog += new WNSClient.LogHandler((s) => { localContext.Trace(s); });
                // Send Notifications

                    foreach (string channel in usersChannel.Values)
                    {
                        localContext.Trace(string.Format("Posting WNS Channel:{0}", channel));
                        var result = wnsClient.PostToWns(clientSecret, sid, channel, xml, notificationType, contentType);
                        localContext.Trace(string.Format("Call result: {0}", result));
                    }



            }

        }

    }
}
