// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================
using System.Runtime.Serialization;

using Microsoft.Xrm.Sdk;

namespace Microsoft.Crm.Sdk.Messages
{
	/// <summary>
	/// This class is used while returning the audit details when 
	/// the RetrieveAuditDetails call is made
	/// </summary>
	[DataContract(Namespace = "http://schemas.microsoft.com/crm/2011/Contracts")]
	public sealed class AttributeAuditDetail : AuditDetail
	{
		[DataMember]
		public Entity OldValue
		{
			get;
			set;
		}

		[DataMember]
		public Entity NewValue
		{
			get;
			set;
		}

		[DataMember]
		public DataCollection<string> InvalidNewValueAttributes
		{
			get
			{
				if (_invalidNewValueAttributes == null)
				{
					_invalidNewValueAttributes = new DataCollection<string>();
				}
				return _invalidNewValueAttributes;
			}
		}

		private DataCollection<string> _invalidNewValueAttributes;
	}
}
