// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================
using System;
using System.Runtime.Serialization;
using Microsoft.Xrm.Sdk.Temporary;


namespace Microsoft.Crm.Sdk.Messages
{
	[DataContract(Namespace = "http://schemas.microsoft.com/crm/2011/Contracts")]
	public sealed class ComponentDetail : IExtensibleDataObject
	{
		public ComponentDetail()
		{
			this.Type = 0;
			this.SchemaName = string.Empty;
			this.DisplayName = string.Empty;
			this.Id = Guid.Empty;
			this.ParentSchemaName = string.Empty;
			this.ParentDisplayName = string.Empty;
			this.ParentId = Guid.Empty;
			this.Solution = string.Empty;
		}

		[DataMember]
		public int Type { get; set; }
		[DataMember]
		public string SchemaName { get; set; }
		[DataMember]
		public string DisplayName { get; set; }
		[DataMember]
		public Guid Id { get; set; }
		[DataMember]
		public string ParentSchemaName { get; set; }
		[DataMember]
		public string ParentDisplayName { get; set; }
		[DataMember]
		public Guid ParentId { get; set; }
		[DataMember]
		public string Solution { get; set; }

		#region IExtensibleDataObject Implementation
		private ExtensionDataObject _extensionDataObject;
		public ExtensionDataObject ExtensionData
		{
			get
			{
				return _extensionDataObject;
			}
			set
			{
				_extensionDataObject = value;
			}
		}
		#endregion IExtensibleDataObject Implementation
	}

}
