// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================
using System.Diagnostics.CodeAnalysis;
using System.Runtime.Serialization;

namespace Microsoft.Crm.Sdk.Messages
{
	[DataContract(Namespace = "http://schemas.microsoft.com/crm/2011/Contracts")]
	public enum BulkOperationSource
	{
		[EnumMember]
		QuickCampaign = 0,

		[EnumMember]
		CampaignActivity
	}

	[DataContract(Namespace = "http://schemas.microsoft.com/crm/2011/Contracts")]
	public enum EntitySource
	{
		[EnumMember]
		Account = 0,

		[EnumMember]
		Contact = 1,

		[EnumMember]
		Lead = 2,

		[EnumMember]
		All = 3
	}

	[DataContract(Namespace = "http://schemas.microsoft.com/crm/2011/Contracts")]
	public enum TargetFieldType
	{
		[EnumMember]
		All = 0,

		[EnumMember]
		ValidForCreate = 1,

		[EnumMember]
		ValidForUpdate = 2,

		[EnumMember]
		ValidForRead = 3
	}

	[SuppressMessage("Microsoft.Naming", "CA1717:OnlyFlagsEnumsShouldHavePluralNames", Justification = "Consistent with SDK signature.", MessageId = "")]
	[DataContract(Namespace = "http://schemas.microsoft.com/crm/2011/Contracts")]
	public enum PropagationOwnershipOptions
	{
		[EnumMember]
		None = 0,

		[EnumMember]
		Caller = 1,

		[EnumMember]
		ListMemberOwner = 2
	}

	[DataContract(Namespace = "http://schemas.microsoft.com/crm/2011/Contracts")]
	public enum RollupType
	{
		[EnumMember]
		None = 0,

		[EnumMember]
		Related = 1,

		[EnumMember]
		Extended = 2
	}
}
