// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================
using System.Diagnostics.CodeAnalysis;

[assembly: SuppressMessage("Microsoft.MSInternal", "CA900:AptcaAssembliesShouldBeReviewed", Justification = "Will review.")]

[module: SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.InstantiateFiltersRequest.#TemplateCollection")]
[module: SuppressMessage("Microsoft.Naming", "CA1702:CompoundWordsShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Crm.Sdk.Messages.RetrieveSubGroupsResourceGroupResponse", MessageId = "SubGroups")]
[module: SuppressMessage("Microsoft.Naming", "CA1702:CompoundWordsShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.GetQuantityDecimalRequest.#UoMId", MessageId = "MId")]
[module: SuppressMessage("Microsoft.Naming", "CA1702:CompoundWordsShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Crm.Sdk.Messages.RetrieveSubGroupsResourceGroupRequest", MessageId = "SubGroups")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.AddSolutionComponentResponse.#id", MessageId = "id")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.DeliverPromoteEmailRequest.#Cc", MessageId = "Cc")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.GetDistinctValuesImportFileRequest.#pageNumber", MessageId = "page")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.GetDistinctValuesImportFileRequest.#columnNumber", MessageId = "column")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.GetDistinctValuesImportFileRequest.#recordsPerPage", MessageId = "records")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.UpdateRecurrenceResponse.#id", MessageId = "id")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Crm.Sdk.Messages.RetrieveByTopIncidentSubjectKbArticleRequest", MessageId = "Kb")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Crm.Sdk.Messages.SearchByKeywordsKbArticleRequest", MessageId = "Kb")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Crm.Sdk.Messages.RetrieveByTopIncidentProductKbArticleResponse", MessageId = "Kb")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Crm.Sdk.Messages.RetrieveByTopIncidentProductKbArticleRequest", MessageId = "Kb")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.ExpandCalendarResponse.#result", MessageId = "result")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.CreateActivitiesListRequest.#sendEmail", MessageId = "send")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.DeliverIncomingEmailRequest.#Cc", MessageId = "Cc")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.AddRecurrenceResponse.#id", MessageId = "id")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.CheckIncomingEmailRequest.#Cc", MessageId = "Cc")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.GetQuantityDecimalRequest.#UoMId", MessageId = "Uo")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Crm.Sdk.Messages.SearchByTitleKbArticleResponse", MessageId = "Kb")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.RetrieveDeploymentLicenseTypeResponse.#licenseType", MessageId = "license")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Crm.Sdk.Messages.SearchByTitleKbArticleRequest", MessageId = "Kb")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Crm.Sdk.Messages.SearchByBodyKbArticleResponse", MessageId = "Kb")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.CreateExceptionResponse.#id", MessageId = "id")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.RemoveSolutionComponentResponse.#id", MessageId = "id")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Crm.Sdk.Messages.SearchByBodyKbArticleRequest", MessageId = "Kb")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.FindParentResourceGroupResponse.#result", MessageId = "result")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Crm.Sdk.Messages.SearchByKeywordsKbArticleResponse", MessageId = "Kb")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Crm.Sdk.Messages.RetrieveByTopIncidentSubjectKbArticleResponse", MessageId = "Kb")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.QualifyMemberListRequest.#OverrideorRemove", MessageId = "Overrideor")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.QueryMultipleSchedulesResponse.#TimeInfos", MessageId = "Infos")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.QueryScheduleResponse.#TimeInfos", MessageId = "Infos")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.GetQuantityDecimalRequest.#UoMId", MessageId = "Uo")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.RevokeAccessRequest.#Revokee", MessageId = "Revokee")]
[module: SuppressMessage("Microsoft.Naming", "CA1710:IdentifiersShouldHaveCorrectSuffix", Scope = "type", Target = "Microsoft.Crm.Sdk.Messages.QueryByEntityNameDictionary")]
[module: SuppressMessage("Microsoft.Naming", "CA1720:IdentifiersShouldNotContainTypeNames", Scope = "member", Target = "Microsoft.Crm.Sdk.Types.InteractiveWorkflowResponseType.#Integer", MessageId = "integer")]
[module: SuppressMessage("Microsoft.Naming", "CA1711:IdentifiersShouldNotHaveIncorrectSuffix", Scope = "type", Target = "Microsoft.Crm.Sdk.Messages.QueryByEntityNameDictionary")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.RemoveRelatedRequest.#Target")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.ExportTranslationResponse.#ExportTranslationFile")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.SetLocLabelsRequest.#Labels")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.RegisterSolutionRequest.#Steps")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.QualifyMemberListRequest.#MembersId")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.SendTemplateRequest.#RecipientIds")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.RetrieveSharedPrincipalsAndAccessResponse.#PrincipalAccesses")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.AddListMembersListRequest.#MemberIds")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.RetrieveProvisionedLanguagesResponse.#RetrieveProvisionedLanguages")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.RetrieveInstalledLanguagePacksResponse.#RetrieveInstalledLanguagePacks")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.RetrieveDeprovisionedLanguagesResponse.#RetrieveDeprovisionedLanguages")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.BulkDetectDuplicatesRequest.#ToRecipients")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.BulkDetectDuplicatesRequest.#CCRecipients")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.RetrieveParsedDataImportFileResponse.#Values")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.BulkDeleteRequest.#ToRecipients")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.BulkDeleteRequest.#QuerySet")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.BulkDeleteRequest.#CCRecipients")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.AssignTeamRolesRoleRequest.#RoleIds")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.RetrieveEntityRibbonResponse.#CompressedEntityXml")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.ImportSolutionRequest.#CustomizationFile")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.RolePrivilegeAuditDetail.#OldRolePrivileges")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.RolePrivilegeAuditDetail.#NewRolePrivileges")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.FindParentResourceGroupRequest.#ChildrenIds")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.GetHeaderColumnsImportFileResponse.#Columns")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.ReplacePrivilegesRoleRequest.#Privileges")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.GetDistinctValuesImportFileResponse.#Values")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.RetrieveApplicationRibbonResponse.#CompressedApplicationRibbonXml")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.QueryMultipleSchedulesResponse.#TimeInfos")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.BackgroundSendEmailResponse.#HasAttachments")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.ExportSolutionResponse.#ExportSolutionFile")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.ImportTranslationRequest.#TranslationFile")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.ExpandCalendarResponse.#result")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.RetrieveMissingComponentsResponse.#MissingComponents")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.RemoveMembersTeamRequest.#MemberIds")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.QueryScheduleRequest.#TimeCodes")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.RetrieveUserPrivilegesResponse.#RolePrivileges")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.QueryScheduleResponse.#TimeInfos")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.ValidateResponse.#Result")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.RetrieveAvailableLanguagesResponse.#LocaleIds")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.AssignUserRolesRoleRequest.#RoleIds")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.AddMembersTeamRequest.#MemberIds")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.RetrieveTeamPrivilegesResponse.#RolePrivileges")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.AddPrivilegesRoleRequest.#Privileges")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.RetrieveByResourcesServiceRequest.#ResourceIds")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.RetrieveMissingComponentsRequest.#CustomizationFile")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.SetReportRelatedRequest.#Visibility")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.SetReportRelatedRequest.#Categories")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.SetReportRelatedRequest.#Entities")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.RemoveTeamRolesRoleRequest.#RoleIds")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.SetRelatedRequest.#Target")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.QueryMultipleSchedulesRequest.#TimeCodes")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.QueryMultipleSchedulesRequest.#ResourceIds")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.RemoveUserRolesRoleRequest.#RoleIds")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.RetrieveRolePrivilegesRoleResponse.#RolePrivileges")]
[module: SuppressMessage("Microsoft.Naming", "CA1721:PropertyNamesShouldNotMatchGetMethods", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.ComponentDetail.#Type")]
[module: SuppressMessage("Microsoft.Design", "CA1056:UriPropertiesShouldNotBeStrings", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.RetrieveAbsoluteAndSiteCollectionUrlResponse.#AbsoluteUrl")]
[module: SuppressMessage("Microsoft.Design", "CA1056:UriPropertiesShouldNotBeStrings", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.RetrieveAbsoluteAndSiteCollectionUrlResponse.#SiteCollectionUrl")]
[module: SuppressMessage("Microsoft.Design", "CA1056:UriPropertiesShouldNotBeStrings", Scope = "member", Target = "Microsoft.Crm.Sdk.Messages.SetDocumentManagementRequest.#SiteCollectionUrl")]
