// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================
using System.Runtime.Serialization;
using Microsoft.Xrm.Sdk.Temporary;

namespace Microsoft.Crm.Sdk.Messages
{
	[DataContract(Namespace = "http://schemas.microsoft.com/crm/2011/Contracts")]
	public sealed class OrganizationResources : IExtensibleDataObject
	{
		[DataMember]
		public int CurrentNumberOfActiveUsers { get; set; }

		[DataMember]
		public int MaxNumberOfActiveUsers { get; set; }

		[DataMember]
		public int CurrentNumberOfNonInteractiveUsers { get; set; }

		[DataMember]
		public int MaxNumberOfNonInteractiveUsers { get; set; }

		[DataMember]
		public int CurrentNumberOfCustomEntities { get; set; }

		[DataMember]
		public int MaxNumberOfCustomEntities { get; set; }

		[DataMember]
		public int CurrentNumberOfPublishedWorkflows { get; set; }

		[DataMember]
		public int MaxNumberOfPublishedWorkflows { get; set; }

		[DataMember]
		public int CurrentStorage { get; set; }

		[DataMember]
		public int MaxStorage { get; set; }

		#region IExtensibleDataObject Implementation
		private ExtensionDataObject _extensionDataObject;
		public ExtensionDataObject ExtensionData
		{
			get
			{
				return _extensionDataObject;
			}
			set
			{
				_extensionDataObject = value;
			}
		}
		#endregion IExtensibleDataObject Implementation
	}
}
