// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================
using System;
using System.Runtime.Serialization;

using Microsoft.Xrm.Sdk;
using Microsoft.Xrm.Sdk.Temporary;

namespace Microsoft.Crm.Sdk.Messages
{
	[DataContract(Namespace = "http://schemas.microsoft.com/crm/2011/Contracts")]
	public sealed class PrincipalAccess : IExtensibleDataObject
	{
		#region Properties
		[DataMember]
		public EntityReference Principal { get; set; }

		[DataMember]
		public AccessRights AccessMask { get; set; }
		#endregion

		#region IExtensibleDataObject Implementation
		private ExtensionDataObject _extensionDataObject;
		public ExtensionDataObject ExtensionData
		{
			get
			{
				return _extensionDataObject;
			}
			set
			{
				_extensionDataObject = value;
			}
		}
		#endregion IExtensibleDataObject Implementation
	}

	[Flags]
	[DataContract(Namespace = "http://schemas.microsoft.com/crm/2011/Contracts")]
	public enum AccessRights
	{

		[EnumMember]
		None = 0x00000000,

		[EnumMember]
		ReadAccess = 0x00000001,

		[EnumMember]
		WriteAccess = 0x00000002,

		[EnumMember]
		AppendAccess = 0x00000004,

		[EnumMember]
		AppendToAccess = 0x00000010,

		[EnumMember]
		CreateAccess = 0x00000020,

		[EnumMember]
		DeleteAccess = 0x00010000,

		[EnumMember]
		ShareAccess = 0x00040000,

		[EnumMember]
		AssignAccess = 0x00080000,
	}
}
