// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================
using System.Runtime.Serialization;

using Microsoft.Xrm.Sdk;

namespace Microsoft.Crm.Sdk.Messages
{
	[DataContract(Namespace = "http://schemas.microsoft.com/crm/2011/Contracts")]
	public sealed class RelationshipAuditDetail : AuditDetail
	{
		/// <summary>
		/// Value of the attribute before change
		/// </summary>
		[DataMember]
		public string RelationshipName { get; set; }

		/// <summary>
		/// Records added/removed as part of the change
		/// </summary>
		[DataMember]
		public DataCollection<EntityReference> TargetRecords
		{
			get
			{
				if (_targetRecords == null)
				{
					_targetRecords = new DataCollection<EntityReference>();
				}
				return _targetRecords;
			}
		}

		private DataCollection<EntityReference> _targetRecords;
	}
}
