﻿// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================
using System;
using System.Runtime.Serialization;

namespace Microsoft.Crm.Sdk.Messages
{
	/// <summary>
	/// Filters used to define a location in ribbon XML
	/// </summary>
	[Flags]
	[DataContract(Name = "RibbonLocationFilters", Namespace = "http://schemas.microsoft.com/crm/2011/Contracts")]
	public enum RibbonLocationFilters
	{
		[EnumMember(Value = "Form")]
		Form = 1,
		[EnumMember(Value = "HomepageGrid")]
		HomepageGrid = 2,
		[EnumMember(Value = "SubGrid")]
		SubGrid = 4,
		All = Form | HomepageGrid | SubGrid,
		Default = All
	}
}
