﻿// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================
#region

using System;
using System.Xml.Linq;

#endregion

namespace Microsoft.Xrm.Sdk.Client.Protocols.Policy
{
	public abstract class ServicePolicy
	{
		private readonly PolicyDictionary _policyElements = new PolicyDictionary();

		internal PolicyDictionary PolicyElements
		{
			get { return _policyElements; }
		}
	}


	public abstract class ServicePolicyImporter
	{
		public Boolean Imported { get; protected set; }


		protected Boolean ExtractValue(ServicePolicy xrmPolicyBindingElement, XElement element, String propertyName,
									   XName xName)
		{
			XElement currentElement = element.Element(xName);
			if (currentElement != null)
			{
				SetValue(xrmPolicyBindingElement, propertyName, currentElement.Value);
				return true;
			}
			return false;
		}

		protected void SetValue(ServicePolicy servicePolicy, String name, String value)
		{
			if (value != null)
			{
				servicePolicy.PolicyElements[name] = value;
			}
		}
	}
}
