﻿// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================
#region

using System;
using System.Collections.Generic;
using System.ServiceModel;
using Microsoft.Xrm.Sdk.Client.Protocols.WSTrust;

#endregion

namespace Microsoft.Xrm.Sdk.Client.Protocols.Policy
{
	public sealed class TokenPolicyDictionary : Dictionary<String, TokenPolicy>
	{
	}

	public sealed class TokenPolicy : ServicePolicy
	{
		private readonly TokenTemplateDictionary _tokenObjects = new TokenTemplateDictionary();
		public TokenServiceCredentialType CredentialType { get; set; }

		public String BindingName { get; set; }
		public EndpointAddress EndpointAddress { get; set; }

		public WSTrustConstants.Version TrustVersion { get; set; }

		public String PolicyId { get; set; }

		internal TokenTemplateDictionary Tokens
		{
			get { return _tokenObjects; }
		}
	}
}
