﻿// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================
#region

using System;
using System.Collections.Generic;

#endregion

namespace Microsoft.Xrm.Sdk.Client.Protocols.Policy
{
	public sealed class TokenTemplateDictionary : Dictionary<KeyTypes, TokenTemplate>
	{
	}

	public abstract class TokenTemplate
	{
		private readonly PolicyDictionary _policyElements = new PolicyDictionary();

		public PolicyDictionary PolicyElements
		{
			get { return _policyElements; }
		}

		public String GetPropertyValue(String name)
		{
			if (PolicyElements.ContainsKey(name))
			{
				return PolicyElements[name];
			}
			return String.Empty;
		}

		public void SetPropertyValue(String name, String value)
		{
			PolicyElements[name] = value;
		}
	}
}
