﻿// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================
namespace Microsoft.Xrm.Sdk.Client.Protocols.WSTrust
{
	public static class WSTrustConstants
	{
		#region Version enum

		public enum Version
		{
			None = 0,
			WSTrust2005,
			WSTrust13,
		}

		#endregion

		#region Nested type: WSTrust13

		public static class WSTrust13
		{
			#region Nested type: RequestTypes

			public static class RequestTypes
			{
				public const string Issue = @"http://docs.oasis-open.org/ws-sx/ws-trust/200512/RST/Issue";
			}

			#endregion
		}

		#endregion

		#region Nested type: WSTrust2005

		public static class WSTrust2005
		{
			#region Nested type: RequestTypes

			public static class RequestTypes
			{
				public const string Issue = @"http://schemas.xmlsoap.org/ws/2005/02/trust/RST/Issue";
			}

			#endregion
		}

		#endregion
	}
}
