﻿// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================
#region

using System.Xml.Linq;

#endregion

namespace Microsoft.Xrm.Sdk.XmlNamespaces
{
	/// <summary>
	/// 	Defines the xml namespaces for SDK contracts
	/// </summary>
	public static class V5
	{
		//define the current prefix for the namespace in one location
		public const string Prefix = "http://schemas.microsoft.com/xrm/2011/";

		/// <summary>
		/// 	Defines the namespace for common data contracts.
		/// </summary>
		public const string Contracts = Prefix + "Contracts";

		/// <summary>
		/// 	Defines namespace for Metadata contracts.
		/// </summary>
		public const string Metadata = Prefix + "Metadata";

		/// <summary>
		/// 	Defines namespace for workflow interfaces and contracts.
		/// </summary>
		public const string Workflow = Prefix + "Workflow";

		public const string Discovery = Contracts + "/Discovery";

		/// <summary>
		/// 	Defines namespace for services
		/// </summary>
		public const string Services = Contracts + "/Services";

		/// <summary>
		/// 	Defines namespace for claims.
		/// </summary>
		public const string Claims = Prefix + "Claims";

		/// <summary>
		/// 	Organization SDK endpoint
		/// </summary>
		public const string OrganizationEndpoint = "2011/Organization.svc";
	}

	public static class PublicNamespaces
	{
		public static XNamespace WSP = @"http://schemas.xmlsoap.org/ws/2004/09/policy";

		public static XNamespace WSU =
			@"http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd";

		public static XNamespace SP = @"http://docs.oasis-open.org/ws-sx/ws-securitypolicy/200702";
		public static XNamespace WSDL = @"http://schemas.xmlsoap.org/wsdl/";
		public static XNamespace WSA10 = @"http://www.w3.org/2005/08/addressing";
		public static XNamespace ADDR = @"http://schemas.xmlsoap.org/ws/2006/02/addressingidentity";
		public static XNamespace SOAP12 = @"http://schemas.xmlsoap.org/wsdl/soap12/";
		public static XNamespace MSXRM = @"http://schemas.microsoft.com/xrm/2011/Contracts/Services";
		public static XNamespace MSXRM2012 = @"http://schemas.microsoft.com/xrm/2012/Contracts/Services";
		public static XNamespace WSA05 = @"http://www.w3.org/2005/08/addressing";
		public static XNamespace WSX = @"http://schemas.xmlsoap.org/ws/2004/09/mex";
		public static XNamespace WSAP = @"http://schemas.xmlsoap.org/ws/2004/08/addressing/policy";
		public static XNamespace MSC = @"http://schemas.microsoft.com/ws/2005/12/wsdl/contract";
		public static XNamespace WSA = @"http://schemas.xmlsoap.org/ws/2004/08/addressing";
		public static XNamespace WSAM = @"http://www.w3.org/2007/05/addressing/metadata";
		public static XNamespace WSAW = @"http://www.w3.org/2006/05/addressing/wsdl";
		public static XNamespace SOAP = @"http://schemas.xmlsoap.org/wsdl/soap/";
		public static XNamespace XSD = @"http://www.w3.org/2001/XMLSchema";
		public static XNamespace SOAPENC = @"http://schemas.xmlsoap.org/soap/encoding/";
		public static XNamespace i0 = @"http://schemas.microsoft.com/xrm/2011/Contracts/Services";
		public static XNamespace XSI = @"http://www.w3.org/2001/XMLSchema-instance";
		public static XNamespace WST = @"http://schemas.xmlsoap.org/ws/2005/02/trust";
		public static XNamespace S = @"http://www.w3.org/2003/05/soap-envelope";
		public static XNamespace TRUST = @"http://docs.oasis-open.org/ws-sx/ws-trust/200512";
	}
}
