// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================
using System;

namespace Microsoft.Xrm.Sdk
{
	[AttributeUsage(AttributeTargets.Property)]
	public sealed class AttributeLogicalNameAttribute : Attribute
	{
		/// <summary>
		/// Gets or sets the CRM logical name of the attribute.
		/// </summary>
		public string LogicalName { get; private set; }

		public AttributeLogicalNameAttribute(string logicalName)
		{
			if (string.IsNullOrWhiteSpace(logicalName)) throw new ArgumentNullException("logicalName");

			LogicalName = logicalName;
		}
	}
}
