﻿// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================
namespace Microsoft.Xrm.Sdk
{
    using System.Runtime.Serialization;

	[DataContract(Name = "BooleanManagedProperty", Namespace = XmlNamespaces.V5.Contracts)]
	public sealed class BooleanManagedProperty : ManagedProperty<bool>
	{
		public BooleanManagedProperty() : this(false) { }
		public BooleanManagedProperty(bool value) : this(value, null) { }
		internal BooleanManagedProperty(bool value, string logicalName)
			: base(logicalName)
		{
			Value = value;
		}
	}
}
