﻿// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================
using System;

namespace Microsoft.Xrm.Sdk
{
	/// <summary>
	/// Interface to allow plug-ins to obtain IOrganizationService.
	/// </summary>
	public interface IOrganizationServiceFactory
	{
		/// <summary>
		/// Creates an instance of IOrganizationService initialized with a given user id.  Null will use the 
		/// current user id.
		/// </summary>
		/// <param name="userId">Id of user.</param>
		IOrganizationService CreateOrganizationService(Guid? userId);
	}
}
