﻿// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================
using System.Runtime.Serialization;
using Microsoft.Xrm.Sdk.Temporary;

namespace Microsoft.Xrm.Sdk
{
	[DataContract(Name = "LocalizedLabel", Namespace = XmlNamespaces.V5.Contracts)]
	public sealed class LocalizedLabel : IExtensibleDataObject
	{
		private string _label;
		private int _languageCode;
		private bool? _isManaged;

		public LocalizedLabel()
		{
		}

		public LocalizedLabel(string label, int languageCode)
		{
			this.Label = label;
			this.LanguageCode = languageCode;
		}

		[DataMember]
		public string Label
		{
			get { return this._label; }
			set { this._label = value; }
		}

		[DataMember]
		public int LanguageCode
		{
			get { return this._languageCode; }
			set { this._languageCode = value; }
		}

		[DataMember]
		public bool? IsManaged
		{
			get { return this._isManaged; }
			internal set { this._isManaged = value; }
		}
		#region IExtensibleDataObject Implementation
		private ExtensionDataObject ExtensionDataObject;
		public ExtensionDataObject ExtensionData
		{
			get
			{
				return ExtensionDataObject;
			}
			set
			{
				ExtensionDataObject = value;
			}
		}
		#endregion IExtensibleDataObject Implementation
	}
}
