﻿// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================
using System.Runtime.Serialization;
using Microsoft.Xrm.Sdk.Temporary;

namespace Microsoft.Xrm.Sdk.Metadata
{
	[DataContract(Name = "AssociatedMenuConfiguration", Namespace = XmlNamespaces.V5.Metadata)]
	public sealed class AssociatedMenuConfiguration : IExtensibleDataObject
	{
		private AssociatedMenuBehavior? _associatedMenuBehavior;
		private AssociatedMenuGroup? _associatedMenuGroup;
		private Label _associatedMenuLabel;
		private int? _associatedMenuOrder;

		public AssociatedMenuConfiguration()
		{
		}

		[DataMember]
		public AssociatedMenuBehavior? Behavior
		{
			get { return this._associatedMenuBehavior; }
			set { this._associatedMenuBehavior = value; }
		}

		[DataMember]
		public AssociatedMenuGroup? Group
		{
			get { return this._associatedMenuGroup; }
			set { this._associatedMenuGroup = value; }
		}

		[DataMember]
		public Label Label
		{
			get { return this._associatedMenuLabel; }
			set { this._associatedMenuLabel = value; }
		}

		[DataMember]
		public int? Order
		{
			get { return this._associatedMenuOrder; }
			set { this._associatedMenuOrder = value; }
		}

		#region IExtensibleDataObject Implementation
		private ExtensionDataObject ExtensionDataObject;
		public ExtensionDataObject ExtensionData
		{
			get
			{
				return ExtensionDataObject;
			}
			set
			{
				ExtensionDataObject = value;
			}
		}
		#endregion IExtensibleDataObject Implementation

	}
}
