﻿// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================
using System.Runtime.Serialization;

namespace Microsoft.Xrm.Sdk.Metadata
{
	[DataContract(Name = "BooleanOptionSetMetadata", Namespace = XmlNamespaces.V5.Metadata)]
	public sealed class BooleanOptionSetMetadata : OptionSetMetadataBase
	{
		private OptionMetadata _trueOption;
		private OptionMetadata _falseOption;

		public BooleanOptionSetMetadata()
			: base()
		{
		}

		public BooleanOptionSetMetadata(OptionMetadata trueOption, OptionMetadata falseOption)
		{
			this.TrueOption = trueOption;
			this.FalseOption = falseOption;
		}

		[DataMember]
		public OptionMetadata TrueOption
		{
			get { return this._trueOption; }
			set { this._trueOption = value; }
		}

		[DataMember]
		public OptionMetadata FalseOption
		{
			get { return this._falseOption; }
			set { this._falseOption = value; }
		}
	}
}
