﻿// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================
using System.Runtime.Serialization;
using Microsoft.Xrm.Sdk.Temporary;

namespace Microsoft.Xrm.Sdk.Metadata
{
	[DataContract(Name = "CascadeConfiguration", Namespace = XmlNamespaces.V5.Metadata)]
	public sealed class CascadeConfiguration : IExtensibleDataObject
	{
		private CascadeType? _cascadeAssign;
		private CascadeType? _cascadeDelete;
		private CascadeType? _cascadeMerge;
		private CascadeType? _cascadeReparent;
		private CascadeType? _cascadeShare;
		private CascadeType? _cascadeUnshare;

		public CascadeConfiguration()
		{
		}

		[DataMember]
		public CascadeType? Assign
		{
			get { return this._cascadeAssign; }
			set { this._cascadeAssign = value; }
		}

		[DataMember]
		public CascadeType? Delete
		{
			get { return this._cascadeDelete; }
			set { this._cascadeDelete = value; }
		}

		[DataMember]
		public CascadeType? Merge
		{
			get { return this._cascadeMerge; }
			set { this._cascadeMerge = value; }
		}

		[DataMember]
		public CascadeType? Reparent
		{
			get { return this._cascadeReparent; }
			set { this._cascadeReparent = value; }
		}

		[DataMember]
		public CascadeType? Share
		{
			get { return this._cascadeShare; }
			set { this._cascadeShare = value; }
		}

		[DataMember]
		public CascadeType? Unshare
		{
			get { return this._cascadeUnshare; }
			set { this._cascadeUnshare = value; }
		}

		#region IExtensibleDataObject Implementation
		private ExtensionDataObject ExtensionDataObject;
		public ExtensionDataObject ExtensionData
		{
			get
			{
				return ExtensionDataObject;
			}
			set
			{
				ExtensionDataObject = value;
			}
		}
		#endregion IExtensibleDataObject Implementation
	}
}
