﻿// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================
using System.Runtime.Serialization;

namespace Microsoft.Xrm.Sdk.Metadata
{
	[KnownType(typeof(EntityNameAttributeMetadata))]
	[KnownType(typeof(PicklistAttributeMetadata))]
	[KnownType(typeof(StateAttributeMetadata))]
	[KnownType(typeof(StatusAttributeMetadata))]
	[DataContract(Name = "EnumAttributeMetadata", Namespace = XmlNamespaces.V5.Metadata)]
	public abstract class EnumAttributeMetadata : AttributeMetadata
	{
		private OptionSetMetadata _optionSetMetadata;
		private int? _defaultValue;

		protected EnumAttributeMetadata()
			: base()
		{
		}

		protected EnumAttributeMetadata(AttributeTypeCode attributeType, string schemaName)
			: base(attributeType, schemaName)
		{
		}

		[DataMember]
		public int? DefaultFormValue
		{
			get { return this._defaultValue; }
			set { this._defaultValue = value; }
		}

		[DataMember]
		public OptionSetMetadata OptionSet
		{
			get { return this._optionSetMetadata; }
			set { this._optionSetMetadata = value; }
		}
	}
}
