﻿// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================
using System.Diagnostics.CodeAnalysis;
using System.Runtime.Serialization;

namespace Microsoft.Xrm.Sdk.Metadata
{
	[DataContract(Name = "LookupAttributeMetadata", Namespace = XmlNamespaces.V5.Metadata)]
	public sealed class LookupAttributeMetadata : AttributeMetadata
	{
		#region Fields
		private string[] _targets;
		#endregion

		#region Constructors
		public LookupAttributeMetadata()
			: base(AttributeTypeCode.Lookup)
		{
		}
		#endregion

		#region Properties
		[SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays")]
		[DataMember]
		public string[] Targets
		{
			get { return this._targets; }
			set { this._targets = value; }
		}
		#endregion
	}
}
