﻿// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================
using System.Diagnostics.CodeAnalysis;
using System.Runtime.Serialization;

namespace Microsoft.Xrm.Sdk.Metadata
{
	[SuppressMessage("Microsoft.Design", "CA1027:MarkEnumsWithFlags", Justification = "Working around back-compat issues with enums in WCF")]
	[DataContract(Name = "ManagedPropertyOperation", Namespace = XmlNamespaces.V5.Metadata)]
	public enum ManagedPropertyOperation
	{
		[EnumMember(Value = "None")]
		None = 0,
		[EnumMember(Value = "Create")]
		Create = 1,
		[EnumMember(Value = "Update")]
		Update = 2,
		[EnumMember(Value = "Delete")]
		Delete = 4,
		[EnumMember(Value = "CreateUpdate")]
		CreateUpdate = 3,
		[EnumMember(Value = "UpdateDelete")]
		UpdateDelete = 6,
		[EnumMember(Value = "All")]
		All = 7
	}
}
