﻿// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================
using System.Runtime.Serialization;

namespace Microsoft.Xrm.Sdk.Metadata
{
	[DataContract(Name = "ManyToManyRelationshipMetadata", Namespace = XmlNamespaces.V5.Metadata)]
	public sealed class ManyToManyRelationshipMetadata : RelationshipMetadataBase
	{
		#region Fields
		private AssociatedMenuConfiguration _entity1AssociatedMenuConfiguration;
		private AssociatedMenuConfiguration _entity2AssociatedMenuConfiguration;
		private string _entity1LogicalName;
		private string _entity2LogicalName;
		private string _intersectEntityName;
		private string _entity1IntersectAttribute;
		private string _entity2IntersectAttribute;
		#endregion

		public ManyToManyRelationshipMetadata()
		{
		}

		[DataMember]
		public AssociatedMenuConfiguration Entity1AssociatedMenuConfiguration
		{
			get { return this._entity1AssociatedMenuConfiguration; }
			set { this._entity1AssociatedMenuConfiguration = value; }
		}

		[DataMember]
		public AssociatedMenuConfiguration Entity2AssociatedMenuConfiguration
		{
			get { return this._entity2AssociatedMenuConfiguration; }
			set { this._entity2AssociatedMenuConfiguration = value; }
		}

		[DataMember]
		public string Entity1LogicalName
		{
			get { return this._entity1LogicalName; }
			set { this._entity1LogicalName = value; }
		}

		[DataMember]
		public string Entity2LogicalName
		{
			get { return this._entity2LogicalName; }
			set { this._entity2LogicalName = value; }
		}

		[DataMember]
		public string IntersectEntityName
		{
			get { return this._intersectEntityName; }
			set { this._intersectEntityName = value; }
		}

		[DataMember]
		public string Entity1IntersectAttribute
		{
			get { return this._entity1IntersectAttribute; }
			set { this._entity1IntersectAttribute = value; }
		}

		[DataMember]
		public string Entity2IntersectAttribute
		{
			get { return this._entity2IntersectAttribute; }
			set { this._entity2IntersectAttribute = value; }
		}
	}
}
