﻿// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================
using System;
using System.Runtime.Serialization;
using Microsoft.Xrm.Sdk.Temporary;

namespace Microsoft.Xrm.Sdk.Metadata
{
	[DataContract(Name = "MetadataBase", Namespace = XmlNamespaces.V5.Metadata)]
	[KnownType(typeof(AttributeMetadata))]
	[KnownType(typeof(EntityMetadata))]
	[KnownType(typeof(OptionSetMetadata))]
	[KnownType(typeof(RelationshipMetadataBase))]
	public abstract class MetadataBase : IExtensibleDataObject
	{
		private Guid? _id;

		[DataMember]
		public Guid? MetadataId
		{
			get { return this._id; }
			set { this._id = value; }
		}

		#region IExtensibleDataObject Implementation
		private ExtensionDataObject ExtensionDataObject;
		public ExtensionDataObject ExtensionData
		{
			get
			{
				return ExtensionDataObject;
			}
			set
			{
				ExtensionDataObject = value;
			}
		}
		#endregion IExtensibleDataObject Implementation
	}
}
