﻿// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================
using System.Runtime.Serialization;

namespace Microsoft.Xrm.Sdk.Metadata
{
	[DataContract(Name = "OneToManyRelationshipMetadata", Namespace = XmlNamespaces.V5.Metadata)]
	public sealed class OneToManyRelationshipMetadata : RelationshipMetadataBase
	{
		private AssociatedMenuConfiguration _associatedMenuConfiguration;
		private CascadeConfiguration _cascadeConfiguration;
		private string _referencedAttribute;
		private string _referencedEntity;
		private string _referencingAttribute;
		private string _referencingEntity;

		public OneToManyRelationshipMetadata()
			: base()
		{
		}

		[DataMember]
		public AssociatedMenuConfiguration AssociatedMenuConfiguration
		{
			get { return this._associatedMenuConfiguration; }
			set { this._associatedMenuConfiguration = value; }
		}

		[DataMember]
		public CascadeConfiguration CascadeConfiguration
		{
			get { return this._cascadeConfiguration; }
			set { this._cascadeConfiguration = value; }
		}

		[DataMember]
		public string ReferencedAttribute
		{
			get { return this._referencedAttribute; }
			set { this._referencedAttribute = value; }
		}

		[DataMember]
		public string ReferencedEntity
		{
			get { return this._referencedEntity; }
			set { this._referencedEntity = value; }
		}

		[DataMember]
		public string ReferencingAttribute
		{
			get { return this._referencingAttribute; }
			set { this._referencingAttribute = value; }
		}

		[DataMember]
		public string ReferencingEntity
		{
			get { return this._referencingEntity; }
			set { this._referencingEntity = value; }
		}
	}
}
