﻿// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================
using System.Runtime.Serialization;

namespace Microsoft.Xrm.Sdk.Metadata
{
	[DataContract(Name = "StatusOptionMetadata", Namespace = XmlNamespaces.V5.Metadata)]
	public sealed class StatusOptionMetadata : OptionMetadata
	{
		private int? _state;

		public StatusOptionMetadata()
			: base()
		{
		}

		public StatusOptionMetadata(int value, int? state)
			: base(value)
		{
			this.State = state;
		}

		[DataMember]
		public int? State
		{
			get { return this._state; }
			set { this._state = value; }
		}
	}
}
