﻿// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================
namespace Microsoft.Xrm.Sdk
{
    using System.Runtime.Serialization;
	using Microsoft.Xrm.Sdk.Temporary;
	/// <summary>
	/// Money
	/// </summary>
	[DataContract(Name = "Money", Namespace = XmlNamespaces.V5.Contracts)]
	public sealed class Money : IExtensibleDataObject
	{
		public Money()
		{
		}

		public Money(decimal value)
		{
			_value = value;
		}

		[DataMember]
		public decimal Value
		{
			get
			{
				return _value;
			}
			set
			{
				_value = value;
			}
		}

		public override bool Equals(object obj)
		{
			Money other = obj as Money;
			if (other == null)
			{
				return false;
			}
			if (this == other)
			{
				return true;
			}
			return _value.Equals(other._value);
		}

		public override int GetHashCode()
		{
			return _value.GetHashCode();
		}

		private decimal _value;

		#region IExtensibleDataObject Implementation
		private ExtensionDataObject ExtensionDataObject;
		public ExtensionDataObject ExtensionData
		{
			get
			{
				return ExtensionDataObject;
			}
			set
			{
				ExtensionDataObject = value;
			}
		}
		#endregion IExtensibleDataObject Implementation
	}
}
