// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================
using System;

namespace Microsoft.Xrm.Sdk.Client
{
	[AttributeUsage(AttributeTargets.Assembly)]
	public sealed class ProxyTypesAssemblyAttribute : Attribute
	{

		public ProxyTypesAssemblyAttribute()
			: base()
		{
		}
		public ProxyTypesAssemblyAttribute(bool containsSharedContracts)
			: base()
		{
			_containsSharedContracts = containsSharedContracts;
		}

		/// <summary>
		/// indicates whether the assembly contains data contracts known to the SDK host
		/// </summary>
		internal bool ContainsSharedContracts
		{
			get { return _containsSharedContracts; }
		}

		private bool _containsSharedContracts = false;
	}
}
