// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================
namespace Microsoft.Xrm.Sdk.Query
{
	using System.Runtime.Serialization;
	using Microsoft.Xrm.Sdk.Temporary;

	[DataContract(Name = "OrderExpression", Namespace = XmlNamespaces.V5.Contracts)]
	public sealed class OrderExpression : IExtensibleDataObject
	{
		public OrderExpression()
		{
		}

		public OrderExpression(string attributeName, OrderType orderType)
		{
			_attributeName = attributeName;
			_orderType = orderType;
		}

		[DataMember]
		public string AttributeName
		{
			get
			{
				return _attributeName;
			}
			set
			{
				_attributeName = value;
			}
		}

		[DataMember]
		public OrderType OrderType
		{
			get
			{
				return _orderType;
			}
			set
			{
				_orderType = value;
			}
		}

		[System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)]
		internal void Accept(IQueryVisitor visitor)
		{
			visitor.Visit(this);
		}

		private string _attributeName;
		private OrderType _orderType;

		#region IExtensibleDataObject Implementation
		private ExtensionDataObject ExtensionDataObject;
		public ExtensionDataObject ExtensionData
		{
			get
			{
				return ExtensionDataObject;
			}
			set
			{
				ExtensionDataObject = value;
			}
		}
		#endregion IExtensibleDataObject Implementation
	}
}

