// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================
using System.Collections.Generic;
using System.Runtime.Serialization;
using Microsoft.Xrm.Sdk.Temporary;

namespace Microsoft.Xrm.Sdk
{
	[CollectionDataContract(Name = "AttributePrivilegeCollection", Namespace = XmlNamespaces.V5.Contracts)]
	[KnownType(typeof(AttributePrivilege))]
	[Serializable]
	public sealed class AttributePrivilegeCollection : DataCollection<AttributePrivilege>
	{
		public AttributePrivilegeCollection()
			: base()
		{
		}

		public AttributePrivilegeCollection(IList<AttributePrivilege> list)
			: base(list)
		{
		}
	}
}
