﻿// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================

namespace Microsoft.Xrm.Sdk.Temporary
{
	// Summary:
	//     Provides a data structure to store extra data encountered by the System.Runtime.Serialization.XmlObjectSerializer
	//     during deserialization of a type marked with the System.Runtime.Serialization.DataContractAttribute
	//     attribute.
	public interface IExtensibleDataObject
	{
		// Summary:
		//     Gets or sets the structure that contains extra data.
		//
		// Returns:
		//     An System.Runtime.Serialization.Microsoft.Xrm.Sdk.ExistingXrmSdkCode.Hacks.ExtensionDataObject that contains data that
		//     is not recognized as belonging to the data contract.
		ExtensionDataObject ExtensionData { get; set; }
	}

	// Summary:
	//     Stores data from a versioned data contract that has been extended by adding
	//     new members.
	public sealed class ExtensionDataObject
	{
	}
}
