﻿// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================

using System;
using System.ServiceModel;
using System.ServiceModel.Channels;

namespace SL.IdentityModel.Protocols.WSTrust
{
	/// <summary>
	/// Contract for making an Issue request to a WS-Trust security token service
	/// </summary>
	[ServiceContract]
	public interface IWSTrustContract
	{
		[OperationContract(AsyncPattern = true, Name = "Issue", Action = "*", ReplyAction = "*")]
		[FaultContract(typeof(FaultException))]
		IAsyncResult BeginIssue(Message message, AsyncCallback callback, object asyncState);
		Message EndIssue(IAsyncResult asyncResult);
	}
}
