﻿// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================



namespace SL.IdentityModel.Protocols.WSTrust
{
	/// <summary>
	/// Class contains a requested security token
	/// </summary>
	public class RequestedSecurityToken
	{
		private string _rawToken;

		/// <summary>
		/// String value of the token XML
		/// </summary>
		public string RawToken
		{
			get { return _rawToken; }
		}

		/// <summary>
		/// Creates an instance of the class
		/// </summary>
		/// <param name="rawToken">sets RawToken</param>
		public RequestedSecurityToken(string rawToken)
		{
			_rawToken = rawToken;
		}
	}
}
