﻿// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================


namespace SL.IdentityModel.Protocols.WSTrust
{
	/// <summary>
	/// Class implements IRequestCredentials, is used for passing username and password to a token request
	/// </summary>
	public class UsernameCredentials : IRequestCredentials
	{
		private string _username;
		private string _password;

		/// <summary>
		/// returns username
		/// </summary>
		public string Username
		{
			get { return _username; }
		}

		/// <summary>
		/// returns password
		/// </summary>
		public string Password
		{
			get { return _password; }
		}

		/// <summary>
		/// Creates an instance of the class
		/// </summary>
		/// <param name="username">sets Username</param>
		/// <param name="password">sets Password</param>
		public UsernameCredentials(string username, string password)
		{
			_username = username;
			_password = password;
		}
	}
}
