﻿// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================

using System.Xml.Linq;

namespace SL.IdentityModel.Protocols.WSTrust
{
	public static class WSTrust13Constants
	{
		public static XNamespace NamespaceURI = "http://docs.oasis-open.org/ws-sx/ws-trust/200512";
		public const string Prefix = "trust";
		public const string SchemaLocation = "http://docs.oasis-open.org/ws-sx/ws-trust/200512/ws-trust-1.3.xsd";

		public static class ComputedKeyAlgorithms
		{
			public const string PSHA1 = "http://docs.oasis-open.org/ws-sx/ws-trust/200512/CK/PSHA1";
		}

		public static class ElementNames
		{
			public const string BinarySecret = "BinarySecret";
			public const string ComputedKey = "ComputedKey";
			public const string Entropy = "Entropy";
			public const string KeySize = "KeySize";
			public const string KeyType = "KeyType";
			public const string RequestedAttachedReference = "RequestedAttachedReference";
			public const string RequestedProofToken = "RequestedProofToken";
			public const string RequestedSecurityToken = "RequestedSecurityToken";
			public const string RequestSecurityToken = "RequestSecurityToken";
			public const string RequestSecurityTokenResponse = "RequestSecurityTokenResponse";
			public const string RequestType = "RequestType";
		}

		public static class KeyTypes
		{
			public const string Symmetric = "http://docs.oasis-open.org/ws-sx/ws-trust/200512/SymmetricKey";
			public const string Bearer = "http://docs.oasis-open.org/ws-sx/ws-trust/200512/Bearer";
		}
	}
}
