﻿// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================

using System.ServiceModel.Channels;

namespace SL.IdentityModel.Protocols.WSTrust
{
	/// <summary>
	/// inherits WSTrustBinding, creats a binding compatable with username over transport
	/// </summary>
	public class WSTrustBindingUsernameMixed : WSTrustBinding
	{
		public WSTrustBindingUsernameMixed()
        {
#if SILVERLIGHT
            this.Elements.Add(new TransportSecurityBindingElement());
#else
            this.Elements.Add(SecurityBindingElement.CreateUserNameOverTransportBindingElement());
#endif
            this.Elements.Add(new HttpsTransportBindingElement());
		}
	}
}
