﻿// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================

using System;

namespace SL.IdentityModel.Services
{
	/// <summary>
	/// inherits Event args, returned when making a asycn service call
	/// </summary>
	public class InvokeAsyncCompleteEventArgs : EventArgs
	{
		private Exception _error;

		/// <summary>
		/// gets set to excpetion from making the call, null if no error
		/// </summary>
		public Exception Error
		{
			get { return _error; }
		}

		public InvokeAsyncCompleteEventArgs(Exception error)
		{
			_error = error;
		}
	}
}
