﻿// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================

using System;
using SL.IdentityModel.Claims;

namespace SL.IdentityModel.Services
{
	/// <summary>
	/// inherits from SignInEventArgs, returns information from an async Sign in call
	/// </summary>
	public class SignInEventArgs : EventArgs
	{
		private Exception _error = null;
		private IClaimsPrincipal _user = null;

		public bool Completed
		{
			get { return null == _error; }
		}

		public Exception Error
		{
			get { return _error; }
		}

		public IClaimsPrincipal User
		{
			get { return _user; }
		}

		public SignInEventArgs(IClaimsPrincipal user, Exception error)
		{
			_error = error;
			_user = user;
		}
	}
}
